### Class

# Gcr CertificatePolicy

unstable since: 4.3.91

#### Description [src]

    final class Gcr.CertificatePolicy : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

An object describing a certificate policy.

These policies are listed as part of a `GcrCertificateExtensionCertificatePolicies` object.

A policy can optionally also include qualifiers, which are exposed through the `GListModel` API.

Available since: 4.3.91

#### Ancestors

- GObject

#### Implements

- GListModel

#### Instance methods

###### gcr_certificate_policy_get_name

Returns a user-friendly name of this certificate policy, if known.

###### gcr_certificate_policy_get_oid

Returns the OID string that describes this certificate policy.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GcrCertificatePolicyClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.